<%

'INLOGGNING till Switchking-servern, samma som till mobilappen. Portnummer får inte vara med i hostnamnet.
user="admin"
password ="lösenord"

host= "localhost" ' om du kör Switchkingservern och webservern på samma dator behöver du inte ändra detta
'Port ="8800" ' Anslutningsport, ändra inte om du inte ändrat anslutningsport i Switchking.

PassThroughIP = "192.168." 'tillåter endast klienter som börjar med denna ip-adress att logga in utan lösenord. Sätt till "", om du vill tillåta alla, oavsett ip och utan lösenord (rekommenderas ej).

' DATAKÄLLOR Inomhus och utomhustemp, skriv datakällornas nummer här:
inTempDataKalla= 27 'temp inomhus
utTempDataKalla= 1 'temp utomhus

DeviceIconSize = 26 ' Storlek på enhetsikonerna, tex 26 x 26 pixlar.

MapFile = "lagenhet5.2.jpg" ' Filen som visar kartan.
MapHeight = 661
MapWidth= 977

DockBackground = "linne.jpg" 'Backgrundsbild för dockan/scenariolisten i webgränssnittet.

'UTRÄKNING AV ELPRIS

	'Inställningen nedan är för abonemang hos vattenfall i Göteborgsområdet. Om du har vattenfall fast i annat elprisområde, ändra sifran 3 i AString till ditt elprisområde.

	PowerPriceURL = "http://www.vattenfall.se/sv/rorligt-elpris.htm" ' Adressen där elpriset publiceras. Om du sätter variabeln till tom, dvs "", räknas elpris ej ut.
	
	AString = "de&nbsp;3:&nbsp;" ' HTML-kod att leta efter, som förekommer FÖRE själva elpriset
	BString = "&nbsp;" ' HTML-kod att leta efter, som förekommer EFTER själva elpriset.
	
	'Fasta inställningar och korrigering av elpris, enligt räta linjens ekvation y = kx +n. Här kan du lägga till elnätsavgifter osv. 
	'OBS. Priserna i enhet ÖRE! Om du ej vill använda detta, sätt K = 1 och n=0
	
	PowerPriceKValue = 26.5
	PowerPriceNValue = 0

private function ConfigDevices()

' PLANSKISSEN. Här skriver du in namnen på dina enheter, och ev andra objekt/Datakällor du vill visa samt justerar placeringen över kartan. Första sifran är Y-led, andra är X-led. Ta bort de enheter du inte behöver.

				'Enheter på kartan: 	(OBS! Max 11 enheter får plats i iPhone-versionen. De första 11 enheterna är de som kommer synas.		

				DeviceBtn "Golvlampa hall",292, 331
				
				DeviceBtn "Badrumsbelysning", 330, 220
				
				DeviceBtn "Taklampa hall",372, 278
	            
	            DeviceBtn "Sofflampa", 188, 489
	            
	            DeviceBtn "Taklampa vardagsrum",270, 520
	         	
	         	DeviceBtn "Bordslampa Kartell",415, 590
				
				DeviceBtn "Taklampa sovrum",384, 760	
	            
	            DeviceBtn "Golvlampa sovrum", 280, 720         
      
            
end function

private function ConfigDataSources(Fmode)

		
			'Etiketter på kartan:
	
				WelcomeLabel 550,50,Fmode ' Välkommen-texten. positionY,positionX. Sätt apostrof (') framför om du inte vill ha denna.
		  		
		  		'ScenarioLabel 600,55,Fmode ' Visar aktivt scenarionamn i stor text. positionY,positionX
		  		
		  		DateTimeLabel 610,57,Fmode ' Visar Datum och tid (från klientsidan). positionY, positionX
		  		
		  			  		
			'Datakällor/sensorer på kartan:

				TempratureLabel 27,425, 800,Fmode ' Temperatur-datakälla. Användning: DatakällaNummer, Y-led, X-led
		  		
		  		IRsensorLabel 32,330,660,120,100,100,Fmode ' IR-senor-datakälla. Användning: DatakällaNummer,Y-led, X-led,Rotering,StorlekBredd,StorlekHöjd   
		  		
		  		IRsensorLabel 31,85,265,307,100,100,Fmode 
		  		
		  		DoorSensorLabel 43,435,239,33,50,50,"Right",Fmode ' DataSourceNumber,positionY,positionX,Rotate,SizeWidth,SizeHeight,Mirror (left eller right, för höger/vänsterhängd dörr).
		  		
		  		SunDataLabel 2,10,900,750,Fmode ' DataSourceNumber,positionY,positionX,MaxValue,Fmode. MaxValue är det maximala värdet där solen är helt uppe.
	
				DataTextLabel 2,109,880,Fmode 'Visar en datakälla som ren text på kartan. Användning: datakällaNummer,Y-led, X-led, Fmode. (Fmode ändras ej)
	  		
	  		
	  		'Observera att IR-sensorerna bara syns när de är aktiverade. För att lättast lägga in dem i kartvyn 
	  		'rekommenderar jag att du att du tillfälligt när du ställer in positionen
	  		'på kartan sätter ActivateAllSensors = true nedan,
	  		'så att alla IR/dörr-sensor-objekt blir synliga som aktiverade.
	  		
	  		ActivateAllSensors = false 
	  		
end function

private function ConfigGroups()
	
  			'Här skriver du in dina grupper:
                       
            GroupBtn "Kök",10,400, 100 ' Switchking gruppnamn, Y-pos,X-pos, färg på texten (angivet i gråskala, 0 = svart, 255 = vit)
			GroupBtn "Vardagsrum",100,550, 100 
			GroupBtn "Sovrum",270,825, 100 


end function

private function ConfigScenarios(Fmode, OnOff)

' Här skriver du in de scenarios du vill visa. Första sifran är numret på scenariot. Därefter kommer första delen av namnet på ikon-filen, tex "borta" kommer att kopplas till filerna borta_on.png samt borta_off.png. Därefter namnet på scenariot i klartext. Fmod och OnOff ändras ej.

' Bildfilerna ska vara 72 x 69 pixlar.
			
			ScenarioBtn 17,"door","Bortaläge", Fmode, OnOff
			
			ScenarioBtn 6,"home","Hemma", Fmode, OnOff
			
			ScenarioBtn 4,"pillow","Sovläge", Fmode, OnOff
			
			Divider(Fmode) ' detta är avdelaren (linjen) mellan scenarioknapparna
			
			ScenarioBtn 24,"sun","Vaknar", Fmode, OnOff
			
			ScenarioBtn 13,"goodnight","Godnatt", Fmode, OnOff
			
			ScenarioBtn 11,"powernap","Powernap", Fmode, OnOff
			
			Divider(Fmode)
			
			ScenarioBtn 7,"heart","Mysläge", Fmode, OnOff
			
			ScenarioBtn 8,"popcorn","Filmläge", Fmode, OnOff
			
			ScenarioBtn 5,"drink","Partyläge", Fmode, OnOff
					


end function



'AVANDERADE FUNKTIONER:

private function ConfigDirectLight(scenarionr)

	' DirectLight, för avancerade användare. Här kan man få vissa specifika lampor att tändas släckas innan själva scenariot aktiveras. Tanken är dels att det ger snabbare respons till användaren samt att man tex kan få hallampan att tändas först om man aktiverar tex hemmaläget. 
	
	'ANVÄNDINING: ChangeDevice EnhetsNummer, Dimnivå i procent.
		
	'if scenarionr= 6 then ChangeDevice 2, 40 'Vid hemmaläge - tänd hallampan först
	'if scenarionr= 20 then ChangeDevice 2, 40
	'if scenarionr= 17 then ChangeDevice 2, 0 'bortaläge 
	'if scenarionr= 17 then ChangeDevice 9, 0
	
	'if scenarionr= 4 then ChangeDevice 7, 0 'vid sovläge - släck taklampa sovrum
	'if scenarionr= 4 then ChangeDevice 9, 0 'sovläge
	'if scenarionr= 4 then ChangeDevice 5, 0 'sovläge
	'if scenarionr= 4 then ChangeDevice 14, 0 'sovläge
	'if scenarionr= 4 then ChangeDevice 6, 0 'sovläge - släck golvlampa sovrum
	
	'if scenarionr= 11 then ChangeDevice 7, 0 'pwr nap
	'if scenarionr= 11 then ChangeDevice 6, 0 'pwr nap
	'if scenarionr= 11 then ChangeDevice 5, 0 'pwr nap
	'if scenarionr= 11 then ChangeDevice 14, 0 'pwr nap
	
end function

private function ConfigPairScenarios(AktivtScenario)

	 ' Ihopparade Scenarios, för avancerade användare. Här har du möjligheten att få flera olika scenarios att aktivera samma "scenariolampa" i webgränssnittet. Praktiskt tex för övergångsscenarios.
	
	'if AktivtScenario = 3 then AktivtScenario = 17 ' Borta/gå hemmifrån, 
	'if AktivtScenario = 16 then AktivtScenario = 24 'Vakna
	'if AktivtScenario = 20 then AktivtScenario = 24	
	
	ConfigPairScenarios = AktivtScenario ' ta inte bort denna rad ;-)
end function

private function ConfigSensorConditions(DataValue, DataError) 

	' För avancerade användare. Här specificerar du vilket datavärde som ska räknas som en aktiverad IR-sensor, om du använder sådanna kartobjekt.

		ValueOn = true

				'if DataValue = "" then ValueOn = false
	     	 	'if DataValue = "0,0" then ValueOn = false
	     	 	'if DataValue = "TurnOff" then ValueOn = false
	     	 	if DataError = "Failure value" then ValueOn = false
	     	 	'if DataValue = "Off" then ValueOn = false
	     	 	if DataValue = "På" then ValueOn = true
	     	 	'if DataStatus="OK" then ValueOn = true
		     	 if DataValue = "On" then ValueOn = true
		     	'if DataValue = "Off" then ValueOn = false

		ConfigIRsensorConditions=ValueOn

end function

private function ConfigRooms()

  
           ' Under utveckling. Kommer i senare version.


end function

ShowDebugger = false ' Visar debuggruta i webbgränssnittet.
%>